#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x96,0xB0,0xD2,0xA4,0x13,0x54,0x69,0x07,0xF8,0xE7,0xB6,0x73,
		0x14,0x33,0x5B,0x69,0xC2,0xDD,0xC9,0x49,0x15,0xB0,0x54,0x23,
		0x94,0x16,0xD8,0x80,0xFB,0xC4,0xB8,0x6D,0x90,0x46,0x13,0xE1,
		0x49,0x2C,0x90,0xD5,0x30,0x6B,0xAA,0x5B,0xA0,0xE1,0x1F,0x63,
		0x1A,0x77,0x9C,0x6D,0x2D,0xD6,0x3D,0xBA,0x80,0xF9,0x84,0xBB,
		0x7B,0x11,0x7C,0x6B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
